local Graph = AceLibrary("Graph-1.0")
local me={}

function me:CreateDeathGraphWindow()
	local theFrame=CreateFrame("Frame",nil,UIParent)

	theFrame:ClearAllPoints()
	theFrame:SetPoint("CENTER",UIParent)
	theFrame:SetHeight(150+32)
	theFrame:SetWidth(200)

	theFrame:SetBackdrop({
		bgFile = "Interface\\Tooltips\\UI-Tooltip-Background", tile = true, tileSize = 16,
		edgeFile = "Interface\\AddOns\\Recount\\textures\\otravi-semi-full-border", edgeSize = 32,
		insets = {left = 1, right = 1, top = 20, bottom = 1},
	})
	theFrame:SetBackdropBorderColor(1.0,0.0,0.0)
	theFrame:SetBackdropColor(24/255, 24/255, 24/255)

	theFrame:EnableMouse(true)
	theFrame:SetMovable(true)

	theFrame:SetScript("OnMouseDown", function() 
						if ( ( ( not this.isLocked ) or ( this.isLocked == 0 ) ) and ( arg1 == "LeftButton" ) ) then
						  Recount:SetWindowTop(this)
						  this:StartMoving();
						  this.isMoving = true;
						 end
						end)
	theFrame:SetScript("OnMouseUp", function() 
						if ( this.isMoving ) then
						  this:StopMovingOrSizing();
						  this.isMoving = false;
						 end
						end)
	theFrame:SetScript("OnShow", function()
						Recount:SetWindowTop(this)
						end)
					
	theFrame:SetScript("OnHide", function()  if ( this.isMoving ) then
						  this:StopMovingOrSizing();
						  this.isMoving = false;
						 end
						end)

	theFrame.Title=theFrame:CreateFontString(nil,"OVERLAY","GameFontNormal")
	theFrame.Title:SetPoint("TOPLEFT",theFrame,"TOPLEFT",6,-15)
	theFrame.Title:SetTextColor(1.0,1.0,1.0)
	Recount:AddFontString(theFrame.Title)

	theFrame.Title:SetText("Death Graph")

	theFrame.CloseButton=CreateFrame("Button",nil,theFrame)
	theFrame.CloseButton:SetNormalTexture("Interface\\Buttons\\UI-Panel-MinimizeButton-Up.blp")
	theFrame.CloseButton:SetPushedTexture("Interface\\Buttons\\UI-Panel-MinimizeButton-Down.blp")
	theFrame.CloseButton:SetHighlightTexture("Interface\\Buttons\\UI-Panel-MinimizeButton-Highlight.blp")
	theFrame.CloseButton:SetWidth(20)
	theFrame.CloseButton:SetHeight(20)
	theFrame.CloseButton:SetPoint("TOPRIGHT",theFrame,"TOPRIGHT",-4,-12)
	theFrame.CloseButton:SetScript("OnClick",function() this:GetParent():Hide() end)
	theFrame.CloseButton.Parent=theFrame

	local g=Graph:CreateGraphLine("Recount_DeathScatter",theFrame,"BOTTOM","BOTTOM",0,2,197,149)
	g:SetXAxis(-15,1)
	g:SetYAxis(0,100)
	g:SetGridSpacing(1,25)
	g:SetGridColor({0.5,0.5,0.5,0.5})
	g:SetAxisDrawing(true,true)
	g:SetAxisColor({1.0,1.0,1.0,1.0})
	g:SetYLabels(true,false)
	theFrame.Graph=g

	g=Graph:CreateGraphScatterPlot("Recount_DeathScatter",theFrame,"BOTTOM","BOTTOM",0,2,197,149)
	g:SetXAxis(-15,1)
	g:SetYAxis(0,100)
	g:SetGridSpacing(100,100)
	g:SetGridColor({0.5,0.5,0.5,0})
	g:SetAxisDrawing(false,false)
	g:SetAxisColor({1.0,1.0,1.0,0})
	g:SetFrameLevel(theFrame.Graph:GetFrameLevel()+1)
	
	theFrame.Scatter=g
	
	--Need to add it to our window ordering system
	Recount:AddWindow(theFrame)

	Recount.DeathGraph=theFrame
end

function Recount:ShowDeathGraph(Health,Heals,Hits)
	if not Recount.DeathGraph then
		me:CreateDeathGraphWindow()
	end

	local DeathGraph=Recount.DeathGraph
	DeathGraph:Show()
	--DeathGraph.Title:SetText("Death Graph - "..Title)
	DeathGraph.Graph:ResetData()
	DeathGraph.Graph:AddDataSeries(Health,{0.2,1.0,0.2,0.8},false)

	
	DeathGraph.Scatter:ResetData()
	if Heals then
		DeathGraph.Scatter:AddDataSeries(Heals,{0.1,1.0,0.1,0.8})
	end
	if Hits then
		DeathGraph.Scatter:AddDataSeries(Hits,{1.0,0.1,0.1,0.8})
	end
end